# This modules has a circular dependency on test framework tad
%global enable_tests 1
%global srcname deferred

Name:           nodejs-%{srcname}
Version:        0.7.5
Release:        5%{?dist}
Summary:        Modular and fast Promises implementation for JavaScript
License:        MIT
URL:            https://github.com/medikoo/deferred
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz

BuildArch:      noarch

ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(d)
BuildRequires:  npm(es5-ext)
BuildRequires:  npm(event-emitter)
BuildRequires:  npm(next-tick)
BuildRequires:  npm(timers-ext)
%if 0%{?enable_tests}
BuildRequires:  npm(tad)
%endif

%description
%{summary}.

%prep
%setup -qn package
rm -rf node_modules

%nodejs_fixdep d "<=2.0.0"
# allow either the 0.1.x or 1.x.x series of npm(d)

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}

cp -pr package.json lib/ ext/ *.js \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{__nodejs} ./node_modules/tad/bin/tad
%endif

%files
%doc CHANGES *.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 18 2017 Piotr Popieluch <piotr1212@gmail.com> - 0.7.5-2
- Enable tests

* Sat Feb 18 2017 Piotr Popieluch <piotr1212@gmail.com> - 0.7.5-1
- Update to 0.7.5

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Dec 23 2015 Jared Smith <jsmith@fedoraproject.org> - 0.7.4-2
- Allow newer version of npm(d)

* Sat Dec 19 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.7.4-1
- Initial package
